Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 399773 - media-sound/gmpc is not recognized in GNOME3 as preferred application
Summary: media-sound/gmpc is not recognized in GNOME3 as preferred application
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christoph Mende (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-22 20:58 UTC by Tolga Dalman
Modified: 2012-05-29 12:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tolga Dalman 2012-01-22 20:58:44 UTC
With Gnome 2, I could set gmpc as default media player
(gconf entry: desktop.gnome.applications.media).

I'm now switching to Gnome 3.2 and I could set my default applications (thunderbird, chromium) successfully. However, I cannot find GMPC as an option to select.



Reproducible: Always

Steps to Reproduce:
1. Start System Tools -> System Settings
2. Select System Info -> Default Applications
3. Click on Music (or Video).
Actual Results:  
No GMPC available, although it is installed and a /usr/share/applications/gmpc.desktop exists.
Comment 1 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-01-22 22:53:44 UTC
In order to present a manageable list of applications from which to select a default player, gnome-control-center-3.x only shows ones that have "audio/x-vorbis+ogg;" somewhere in the "MimeType=" entry in their .desktop file.

/usr/share/applications/gmpc.desktop does not have any "MimeType=" entry at all. As a result, gnome-control-center-3 has no way of knowing that gmpc is an audio player.

This should be fixed on the gmpc side of things by improving gmpc.desktop.

In the meantime, you can work around the issue by editing your ~/.local/share/applications/mimeapps.list file. If that file contains an "audio/x-vorbis+ogg=" entry in the "[Added Associations]" section, simply append "gmpc.desktop;" to the end of that line. If it does not contain an "audio/x-vorbis+ogg=" entry in the "[Added Associations]" section, you will have to add it:

audio/x-vorbis+ogg=gmpc.desktop;
Comment 2 Tolga Dalman 2012-01-23 09:39:18 UTC
That workaround fixes the problem for me. However, I'm eager to see this bug to be fixed properly.

Thank you very much for your fast help!
Comment 3 Samuli Suominen gentoo-dev 2012-01-23 09:50:08 UTC
It's the gmpc upstream who should maintain the list of supported MimeType's in the .desktop file, not downstream distribution maintainers.

Please report this to upstream and add a link here, otherwise this won't move anywhere.
Comment 4 Christoph Mende (RETIRED) gentoo-dev 2012-05-27 08:02:54 UTC
Also, I'm not really sure this should be fixed at all in that way. gmpc is not a media player, it's a client for mpd, which is a media player. gmpc alone cannot play media files, so there's no point in setting it as default player.
Comment 5 Tolga Dalman 2012-05-29 12:26:12 UTC
I strongly disagree. GMPC is the Gnome frontend for any MPD server, thus, it should be accessible as default player as it was the case in Gnome2. Anyway, I am grateful for Alexandre's help - the bug is now resolved for me.
Comment 6 Samuli Suominen gentoo-dev 2012-05-29 12:38:18 UTC
You disagree with reporting this to gmpc upstream like suggested by Comment #3? 
Or did you just miss the comment as I don't see a link posted anywhere here pointing to the upstream bug?
Well, this is a CANTFIX pending on the upstream report.